DESCRIPTION = "nodeJS Evented I/O for V8 JavaScript"
HOMEPAGE = "http://nodejs.org"
LICENSE = "MIT & BSD"
LIC_FILES_CHKSUM = "file://LICENSE;md5=1b19aee7bf088151c559f3ec9f830b44"

# Recipe rewritten (based on recipe for node v. 6) by Grzegorz Sikorski & Tomasz Rojek, Camlin Technologies, Ltd.

SRC_URI = "http://nodejs.org/dist/v${PV}/node-v${PV}.tar.gz"

SRC_URI[md5sum] = "61a7868d2849ef689fbbd020b897aafd"
SRC_URI[sha256sum] = "ee4b398efde1fa7a334435910447422dae58e93da8711602c2228485f2b58cb1"

S = "${WORKDIR}/node-v${PV}"

PR = "r1"

# v8 errors out if you have set CCACHE
CCACHE = ""

do_configure () {
  export LD="${CXX}"
  ./configure --prefix=${prefix} --without-snapshot --shared-openssl --shared-openssl-includes=${STAGING_INCDIR} --shared-openssl-libpath=${STAGING_LIBDIR}
}

do_compile () {
  oe_runmake BUILDTYPE=Release
}

do_install () {
  DESTDIR=${D} oe_runmake install
}

DEPENDS = "openssl"

RDEPENDS_${PN} = "curl python-shell python-datetime python-subprocess python-crypt python-textutils python-netclient openssl"
RDEPENDS_${PN}_virtclass-native = "curl-native python-native"

FILES_${PN} = "${bindir}/node ${bindir}/npm ${libdir}/node/wafadmin ${libdir}/node_modules ${libdir}/dtrace/node.d"

BBCLASSEXTEND = "native"
