DESCRIPTION = "nodeJS Evented I/O for V8 JavaScript"
HOMEPAGE = "http://nodejs.org"
LICENSE = "MIT & BSD"
LIC_FILES_CHKSUM = "file://LICENSE;md5=4a31e6c424761191227143b86f58a1ef"

# Recipe rewritten (based on recipe for node v. 6) by Grzegorz Sikorski & Tomasz Rojek, Camlin Technologies, Ltd.

SRC_URI = "http://nodejs.org/dist/v${PV}/node-v${PV}.tar.gz"

SRC_URI[md5sum] = "a2b05af77e8e3ef3b4c40a68372429f1"
SRC_URI[sha256sum] = "1f9de40dd2d98bc984a4970ef399ed3ad67f040feaafc711e549f3265bcce61c"

S = "${WORKDIR}/node-v${PV}"

PR = "r1"

# v8 errors out if you have set CCACHE
CCACHE = ""

do_configure () {
  export LD="${CXX}"
  ./configure --prefix=${prefix} --without-snapshot --shared-openssl --shared-openssl-includes=${STAGING_INCDIR} --shared-openssl-libpath=${STAGING_LIBDIR}
}

do_compile () {
  oe_runmake BUILDTYPE=Release
}

do_install () {
  DESTDIR=${D} oe_runmake install
}

DEPENDS = "openssl"

RDEPENDS_${PN} = "curl python-shell python-datetime python-subprocess python-crypt python-textutils python-netclient openssl"
RDEPENDS_${PN}_virtclass-native = "curl-native python-native"

FILES_${PN} = "${bindir}/node ${bindir}/npm ${libdir}/node/wafadmin ${libdir}/node_modules ${libdir}/dtrace/node.d"

BBCLASSEXTEND = "native"
