DESCRIPTION = "nodeJS Evented I/O for V8 JavaScript"
HOMEPAGE = "http://nodejs.org"
LICENSE = "MIT & BSD"
LIC_FILES_CHKSUM = "file://LICENSE;md5=95a589a3257ab7dfe37d8a8379e3c72d"

# Recipe rewritten (based on recipe for node v. 6) by Grzegorz Sikorski & Tomasz Rojek, Camlin Technologies, Ltd.

SRC_URI = "http://nodejs.org/dist/v${PV}/node-v${PV}.tar.gz"

SRC_URI[md5sum] = "bebddb1d3b81d35654b416fcbc1211f3"
SRC_URI[sha256sum] = "e526f56d22bb2ebee5a607bd1e7a16dcc8530b916e3a372192e6cd5fa97d08e6"

S = "${WORKDIR}/node-v${PV}"

# v8 errors out if you have set CCACHE
CCACHE = ""

do_configure () {
  export LD="${CXX}"
  ./configure --prefix=${prefix} --without-snapshot --shared-openssl --shared-openssl-includes=${STAGING_INCDIR} --shared-openssl-libpath=${STAGING_LIBDIR}
}

do_compile () {
  oe_runmake BUILDTYPE=Release
}

do_install () {
  DESTDIR=${D} oe_runmake install
}

DEPENDS = "openssl"

RDEPENDS_${PN} = "curl python-shell python-datetime python-subprocess python-crypt python-textutils python-netclient openssl"
RDEPENDS_${PN}_virtclass-native = "curl-native python-native"

FILES_${PN} = "${bindir}/node ${libdir}/node/wafadmin ${libdir}/node_modules"

BBCLASSEXTEND = "native"
