DESCRIPTION = "Embedian SMARC-FiMX6 Image"
LICENSE = "MIT"

inherit core-image
# require recipes-fsl/images/fsl-image-multimedia.bb

IMAGE_FEATURES += " splash"
IMAGE_FEATURES += "${@base_contains('DISTRO_FEATURES', 'x11', \
                            ' package-management x11-base x11-sato hwcodecs', '', d)}"
IMAGE_FEATURES += "${@base_contains('DISTRO_FEATURES', 'wayland', \
                            base_contains('DISTRO_FEATURES', 'x11', '', ' package-management hwcodecs', d), \
                            '', d)}"
 
X11_EXTRA_IMAGE_FEATURES ?= "${@base_contains('DISTRO_FEATURES', 'x11', \
    ' tools-testapps', '', d)}"

# Add extra image features
EXTRA_IMAGE_FEATURES += " \
    ${X11_EXTRA_IMAGE_FEATURES} \
    nfs-server \
    tools-debug \
    tools-profile \
    ssh-server-dropbear \
    "

PACKAGE_ARCH = "${MACHINE_ARCH}"

# Backend-specific packages
# Direct FB packages
DFB_IMAGE_INSTALL = "${@base_contains('DISTRO_FEATURES', 'directfb', \
    'packagegroup-core-full-cmdline packagegroup-core-directfb libvivante-dfb-mx6 rpm', '', d)}"

# Wayland packages
WAYLAND_IMAGE_INSTALL = ""
WAYLAND_IMAGE_INSTALL_imx6q2gsmarc = "${@base_contains('DISTRO_FEATURES', 'wayland', \
    base_contains('DISTRO_FEATURES', 'x11', '', \
    ' weston weston-init weston-examples gtk+3-demo clutter-1.0-examples', d),\
    '', d)}"
WAYLAND_IMAGE_INSTALL_remove_mx6sl = "clutter-1.0-examples"

# X11 packages
X11_IMAGE_INSTALL = ""
X11_IMAGE_INSTALL_imx6q2gsmarc = "${@base_contains('DISTRO_FEATURES', 'x11', \
    'gst-plugins-gl-meta packagegroup-fsl-pulseaudio', '', d)}"
X11_IMAGE_INSTALL_remove_mx6sl = "gst-plugins-gl-meta"
X11_IMAGE_INSTALL_append_mx6sl = " libopenvg-mx6"

# Add in Graphics
X11_IMAGE_INSTALL_GRAPHICS = "${@base_contains('DISTRO_FEATURES', 'x11', \
   'packagegroup-core-x11-sato-games \
    xorg-minimal-fonts \
    liberation-fonts', '', d)}"

# set mm image install specific to SOC
MM_IMAGE_INSTALL = "packagegroup-fsl-gstreamer"
MM_IMAGE_INSTALL_imx6q2gsmarc = "packagegroup-fsl-gstreamer packagegroup-fsl-gstreamer1.0"

IMAGE_FEATURES += "package-management"

IMAGE_INSTALL += " \
    ${X11_IMAGE_INSTALL} \
    ${X11_IMAGE_INSTALL_GRAPHICS} \
    ${DFB_IMAGE_INSTALL} \
    ${WAYLAND_IMAGE_INSTALL} \
    ${MM_IMAGE_INSTALL} \
    packagegroup-fsl-tools-gpu \
    packagegroup-fsl-tools-gpu-external \
    packagegroup-fsl-demos-gpu \
    packagegroup-fsl-tools-testapps \
    packagegroup-fsl-tools-benchmark \
    sudo \
    screen \
    cpufrequtils \
    nano \
    vim \
    ifplugd \
    tzdata \
    ntp \
    boost \
    nodejs \
    procps \
    cronie \
    rsyslog \
    e2fsprogs \
    e2fsprogs-e2fsck \
    e2fsprogs-mke2fs \
    e2fsprogs-tune2fs \
    dosfstools \
    util-linux-fdisk \
    util-linux-mkfs \
    util-linux-sfdisk \
    util-linux-blkid \
    "
export IMAGE_BASENAME = "imx6q2gsmarc-fsl-image-gui"


