DESCRIPTION = "Embedian SMARC-FiMX6 Image - Adds Qt5 and other utilities"
LICENSE = "MIT"

require recipes-fsl/images/fsl-image-gui.bb

inherit distro_features_check

CONFLICT_DISTRO_FEATURES = "directfb"

X11_IMAGE_INSTALL = "${@base_contains('DISTRO_FEATURES', 'x11', \
    'libxkbcommon', '', d)}"

WLD_IMAGE_INSTALL = "${@base_contains('DISTRO_FEATURES', 'wayland', \
    'qtwayland \
     qtwayland-plugins', '', d)}"

OPENCV_INSTALL = "opencv opencv-dev opencv-apps opencv-samples"

QT5_IMAGE_INSTALL = ""
QT5_IMAGE_INSTALL_common = " \
    packagegroup-qt5-core \
    packagegroup-qt5-qtdeclarative \
    packagegroup-qt5-qtdeclarative-qml \
    packagegroup-qt5-demos \
    ${X11_IMAGE_INSTALL} \
    ${WLD_IMAGE_INSTALL} \
    ${OPENCV_INSTALL} \
    "
QT5_IMAGE_INSTALL_imx6solosmarc = " \
    ${QT5_IMAGE_INSTALL_common} \
    packagegroup-qt5-webkit \
    "

IMAGE_FEATURES += "package-management"

IMAGE_INSTALL += " \
${QT5_IMAGE_INSTALL} \
    sudo \
    screen \
    cpufrequtils \
    nano \
    vim \
    ifplugd \
    tzdata \
    ntp \
    boost \
    nodejs \
    procps \
    cronie \
    rsyslog \
    e2fsprogs-e2fsck \
    e2fsprogs-mke2fs \
    e2fsprogs-tune2fs \
    dosfstools \
    util-linux-fdisk \
    util-linux-mkfs \
    util-linux-sfdisk \
    util-linux-blkid \
"
export IMAGE_BASENAME = "imx6solosmarc-fsl-image-qt5"
